<p-blockUI [blocked]="blockedDocument"
  ><p-progressSpinner></p-progressSpinner
></p-blockUI>
    <p-accordion>
        <p-accordionTab header="ผลการรับ ReferBack" [selected]="true">
            <div class="w-full bg-gray-50 p-2">
                <div class="formgrid grid p-1">
                        <div class="field col-12 md:col-6">
                            <label for="typept_id">ผลการรับผู้ป่วย</label>
                            <!-- <select id="refer_result_id" [(ngModel)]="refer_result_id" pInputText
                                class="w-full inputfield" style="appearance: auto">
                                <option [value]="i.refer_result_id" *ngFor="let i of itemeResult">{{i.refer_result_name}}
                                </option>
                            </select> -->
                            <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" 
                            placeholder="กรุณาเลือก" 
                            [options]="itemeResult" 
                            [(ngModel)]="refer_result_id" 
                            optionLabel="refer_result_name" 
                            optionValue="refer_result_id" 
                            [filter]="true" 
                            filterBy="refer_result_name"
                            ></p-dropdown>
                        </div>

                        <div class="field col-12 md:col-3">
                            <label for="refer_triage_id" *ngIf="refer_result_id != 2">แผนกที่รับผู้ป่วย</label>
                            <!-- <select id="station_id" [(ngModel)]="station_id" pInputText class="w-full inputfield" *ngIf="refer_result_id != 2"
                                style="appearance: auto">
                                <option [value]="i.station_id" *ngFor="let i of itemeStation">{{i.station_name}}</option>
                            </select> -->
                            <p-dropdown [style]="{ width: '100%', overflow: 'visible' }" 
                            placeholder="กรุณาเลือก" 
                            [options]="itemeStation" 
                            [(ngModel)]="station_id" 
                            optionLabel="station_name" 
                            optionValue="station_id" 
                            [filter]="true" 
                            filterBy="station_name"
                            ></p-dropdown>

                        </div>

                        <div class="field col-12 md:col-3 align-self-end">
                            <span class="p-buttonset">
                                <button class="button" pButton type="button" class="p-button-info" (click)="onSaveChange()" value="Submit" *ngIf="!buttonClose">บันทึก ReferReceive </button>
                            </span>
                        </div>


                        <div class="field col-12 md:col-6" *ngIf="refer_result_id == 2">
                            <h4 class="mb-0"><label class="text-cyan-900">เหตุผลการปฏิเสธ</label></h4>
                            <textarea id="refer_reject_reasons" [(ngModel)]="refer_reject_reasons" type="text" rows="6" class="inputfield w-full"></textarea>
                        </div>

                    </div>
                </div>

            </p-accordionTab>

            <p-accordionTab header="ข้อมูล ReferBack" [selected]="true">
                <div class="w-full bg-gray-50 p-2">
                    <div class="formgrid grid p-1">
                        <div class="field col-12 md:col-6 lg:col-3">
                            <label for="typept_id">ประเภทการส่ง</label>
                            <select id="cause_referback_id" [(ngModel)]="cause_referback_id" pInputText [disabled]="true"
                                class="w-full inputfield" style="appearance: auto">
                                <option [value]="i.cause_referback_id" *ngFor="let i of itemeReferCause">{{i.cause_referback_name}}
                                </option>
                            </select>
                        </div>
                        <div class="field col-12 md:col-6 lg:col-3">
                            <label for="typept_id">การนำส่ง</label>
                            <select id="loads_id" [(ngModel)]="loads_id" pInputText [disabled]="true"
                                class="w-full inputfield" style="appearance: auto">
                                <option [value]="i.loads_id" *ngFor="let i of itemeLoads">{{i.loads_name}}
                                </option>
                            </select>
                        </div>
                        <div class="field col-12 md:col-3 align-self-end">
        
                        </div>
                        <div class="field col-12 md:col-3 align-self-end">
        
                        </div>
                        <div class="field col-12 md:col-6 lg:col-3">
                            <label for="refer_triage_id">ปลายทางส่งต่อ</label>
                            <select id="station_id" [(ngModel)]="receive_station_id" pInputText class="w-full inputfield" style="appearance: auto" [disabled]="true">
                                <option [value]="i.station_id" *ngFor="let i of itemeStation">{{i.station_name}}</option>
                            </select>
                        </div>
                        <div class="field col-12 md:col-6 lg:col-3">
                            <label for="refer_type">การส่งต่อ</label>
                            <select id="refer_type" [(ngModel)]="refer_type" pInputText class="w-full inputfield" style="appearance: auto" [disabled]="true">
                                <option [value]="s.refer_type" *ngFor="let s of itemeRefertype">{{s.refer_type_name}}</option>
                            </select>
                        </div>

                        <div class="field col-12 md:col-3">
                            <br/><br/>
                            <div class="field-checkbutton">
                                <p-checkbox inputId="is_coc"  [(ngModel)]="is_coc" [disabled]="true"  value="1"></p-checkbox>&nbsp;&nbsp;&nbsp;<label for="is_coc"> ส่งเยี่ยมบ้าน</label>
                        </div>
                        </div>
            
        
                        <div class="field col-12 md:col-9">
                            <div class="formgroup-inline">
                                <div class="field-radiobutton">
                                    <p-radioButton [(ngModel)]="refer_appoint" [value]="0" id="refer_appoint0" [disabled]="true"></p-radioButton>
                                    <label for="city7">ไม่ขอนัด</label>
                                </div>
                                <div class="field-radiobutton">
                                    <p-radioButton [(ngModel)]="refer_appoint" [value]="2" id="refer_appoint2" [disabled]="true"></p-radioButton>
                                    <label for="city8">ขอนัดตามสะดวก</label>
                                </div>
                                <div class="field-radiobutton">
                                    <p-radioButton [(ngModel)]="refer_appoint" [value]="3" id="refer_appoint3" [disabled]="true"></p-radioButton>
                                    <label for="city8">มีนัดแล้วแต่ขอใบรีเฟอร์ต่อเนื่อง</label>
                                </div>
                                <div class="field-radiobutton">
                                    <p-radioButton [(ngModel)]="refer_appoint" [value]="1" id="refer_appoint1" [disabled]="true"></p-radioButton>
                                    <label for="city8">ขอนัดด่วนภายใน 24 ชั่วโมง</label>
                                </div>
                                <div class="field-radiobutton">
                                    <p-radioButton [(ngModel)]="refer_appoint" [value]="4" id="refer_appoint4" [disabled]="true"></p-radioButton>
                                    <label for="city8">ขอนัด CAG</label>
                                </div>
                            </div>
                        </div>
        
                        <div class="field col-12 md:col-3 align-self-end">
        
                        </div>
                        <div class="field col-12 md:col-6">
                            <label for="refer_remark">หมายเหตุ</label>
                            <textarea id="refer_remark" type="text" [(ngModel)]="refer_remark" rows="6" class="inputfield w-full" [disabled]="true"></textarea>
                        </div>
        
                    </div>
                </div>
        
            </p-accordionTab>
            <p-accordionTab header="ดูข้อมูลทั่วไป" [selected]="true">
                <div class="w-full bg-gray-50 p-2">
                    <div class="formgrid grid p-1">
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">เลขที่ส่ง : </span>
                            <span for="city7">{{referback.refer_no}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600" >เลขที่ HIS : </span>
                            <span for="city7">{{referback.referback_his_no}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">วันที่ : </span>
                            <span for="city7">{{referback.refer_date | thaidate:'short'}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">HN : </span>
                            <span for="city7">{{referback.hn}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">ชื่อ : </span>
                            <span for="city7">{{referback.pname}}{{referback.fname}} {{referback.lname}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">อายุ : </span>
                            <span for="city7">{{referback.age}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">PID : </span>
                            <span for="city7">{{referback.hn}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">AN : </span>
                            <span for="city7">{{referback.an}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">เลขบัตรประชาชน : </span>
                            <span for="city7">{{referback.cid}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">เพศ : </span>
                            <span for="city7">{{referback.sex}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">อาชีพ : </span>
                            <span for="city7">{{referback.occupation}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <!-- <span for="city7" class="text-green-600">เลขที่ส่ง : </span>
            <span for="city7">10957-1-64002499</span> -->
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">บิดา : </span>
                            <span for="city7">{{referback.father_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">มารดา : </span>
                            <span for="city7">{{referback.mother_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">คู่สมรส : </span>
                            <span for="city7">{{referback.couple_name}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">ผู้ที่สามารถติดต่อได้ : </span>
                            <span for="city7">{{referback.contact_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">ความสัมพันธ์ : </span>
                            <span for="city7">{{referback.mother_relation}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">โทรศัพท์ : </span>
                            <span for="city7">{{referback.contact_mobile}}</span>
                        </div>

                        <div class="field col md:col-8">
                            <span for="city7" class="text-green-600">ที่อยู่ : </span>
                            <span for="city7">{{referback.address_name}} </span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">service Plan : </span>
                            <span for="city7"></span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">จากสถานพยาบาล : </span>
                            <span for="city7">{{referback.hcode}} : {{referback.hname}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">แพทย์ผู้สั่ง : </span>
                            <span for="city7">{{referback.doctor_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">จุดบริการปลายทาง : </span>
                            <span for="city7">{{referback.refer_hospcode}} : {{referback.refer_hospname}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">เหตุผลการส่ง : </span>
                            <span for="city7">{{referback.refer_type_back_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">สิทธิการรักษา : </span>
                            <span for="city7">{{referback.pttype_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">เลขที่สิทธิ : </span>
                            <span for="city7">{{referback.pttype_no}}</span>
                        </div>

                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">สถานพยาบาลหลัก : </span>
                            <span for="city7">{{referback.hospmain}} : {{referback.hospmain_name}}</span>
                        </div>
                        <div class="field col md:col-4">
                            <span for="city7" class="text-green-600">สถานพยาบาลรอง : </span>
                            <span for="city7">{{referback.hospsub}} : {{referback.hospsub_name}}</span>
                        </div>
                    </div>
                </div>

            </p-accordionTab>

            <p-accordionTab header="การวินิจฉัย" [selected]="true">
                <div class="w-full bg-gray-50 p-2">
                    <div class="formgrid grid p-1">
                        <div class="field col-12 md:col-12">
                            <label for="diag_text" class="text-green-600">การวินิจฉัยโรคเบื้องต้น</label>
                            <textarea id="diag_text" type="text" rows="6" [(ngModel)]="signtext.diag_text" class="inputfield w-full"></textarea>
                        </div>
                    </div>
                        <div class="field col-12 md:col-12">
                            <label for="diag_text" class="text-green-600">ผลการวินิจฉัย</label>
                            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                <p-table #dtCreate [value]="diagnosis" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                    [rowHover]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
                                    [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                                    paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
                                    [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="10">
                                    <ng-template pTemplate="headergrouped">
                                        <tr>
                                            <th class="text-center" #pFrozenColumn>รหัส icd10</th>
                                            <th class="text-center" #pFrozenColumn>การวินิจฉัย(อังกฤษ)</th>
                                            <th class="text-center">ประเภทการวินิจฉัย</th>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="body" let-rows>
                                        <tr class="p-selectable-row">
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">รหัส icd10</span>
                                                {{rows.icd_code}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">การวินิจฉัย(อังกฤษ)</span>
                                                {{rows.icd_name}}
                                            </td>
                                            <td #pFrozenColumn>
                                                <span class="p-column-title">ประเภทการวินิจฉัย</span>
                                                <span *ngIf="rows.diag_type == 1">
                                                    โรคหลัก
                                                </span>
                                                <span *ngIf="rows.diag_type != 1">
                                                    โรครอง
                                                </span>
                                            </td>
                                        </tr>
                                    </ng-template>
                                    <ng-template pTemplate="emptymessage">
                                        <tr>
                                            <td colspan="16">ไม่พบรายการ..</td>
                                        </tr>
                                    </ng-template>
                                </p-table>
                            </div>
                        </div>
                </div>              
            </p-accordionTab>


            <p-accordionTab header="ผลการรักษา-แนบเอกสาร" [selected]="true">

                <div class="w-full bg-gray-50 p-2">
                    <div class="formgrid grid p-1">
                        <p-tabView>
                            <p-tabPanel header="การรักษา" leftIcon="pi pi-book">
                                <br>
                                <div class="formgrid grid" style="height:359px;">
                                    <div class="field col md:col-12">
                                        <b class="text-green-600">น้ำหนัก&nbsp;&nbsp; </b> <strong>{{signtext.weight}} &nbsp;กก.</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">ส่วนสูง&nbsp;&nbsp; </b> <strong>{{signtext.height}}&nbsp;ซม.</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">BMI&nbsp;&nbsp; </b> <strong>{{bmi | number:'1.2-2' :'en'}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">ความดันโลหิต&nbsp;&nbsp; </b> <strong>{{signtext.sbp}}</strong>/<strong>{{nurtures.dbp}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">อุณหภูมิ&nbsp;&nbsp; </b> <strong>{{signtext.temperature}}&nbsp;เซลเซียส</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">PR&nbsp;&nbsp; </b> <strong>{{signtext.pr}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">RR&nbsp;&nbsp; </b> <strong>{{signtext.rr}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">Blood Group&nbsp;&nbsp; </b> <strong>{{signtext.bloodgrp}}</strong>&nbsp;&nbsp;&nbsp;
                                        <br>
                                        <b class="text-green-600">Sao2&nbsp;&nbsp; </b> <strong><{{signtext.oxygen_sat}}&nbsp;%</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">GCS:E&nbsp;&nbsp; </b> <strong>{{signtext.eye_score}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">GCS:M&nbsp;&nbsp; </b> <strong>{{signtext.movement_score}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">GCS:V&nbsp;&nbsp; </b> <strong>{{signtext.vocal_score}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">Pupil:Rt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_right}}</strong>&nbsp;&nbsp;&nbsp;
                                        <b class="text-green-600">Pupil:Lt&nbsp;&nbsp; </b> <strong>{{signtext.pupil_left}}</strong>&nbsp;&nbsp;&nbsp;
                                    </div>
                                    <!-- <div class="field col-12 md:col-6">
                                        <label for="textCc" class="text-green-600"><b>CC</b></label>
                                        <textarea [disabled]="true" id="textCc" type="text" rows="6" [(ngModel)]="textCc"
                                            class="inputfield w-full">>{{signtext.cc}}</textarea>
                                    </div> -->
                                    <!-- <div class="field col-12 md:col-6">
                                        <label for="textPmh" class="text-green-600"><b>PMH</b></label>
                                        <textarea [disabled]="true" id="textPmh" type="text" rows="6" [(ngModel)]="textPmh"
                                            class="inputfield w-full">>{{signtext.pmh}}</textarea>
                                    </div> -->

                                    <div class="field col-12 md:col-8">
                                        <label for="textPe" class="text-green-600"><b>Discharge Summary</b></label>
                                        <textarea [disabled]="true" id="textPe" type="text" rows="8" [(ngModel)]="textPe"
                                            class="inputfield w-full">>{{signtext.pe}}</textarea>
                                    </div>
                                    <!-- <div class="field col-12 md:col-6">
                                        <label for="textHpi" class="text-green-600"><b>HPI</b></label>
                                        <textarea [disabled]="true" id="textHpi" type="text" rows="6" [(ngModel)]="textHpi"
                                            class="inputfield w-full">{{signtext.hpi}}</textarea>
                                    </div> -->

                                </div>

                            </p-tabPanel>
                            <p-tabPanel header="หัตถการ" leftIcon="pi pi-credit-card">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="procedure" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                                [rowHover]="true" 
                                                 responsiveLayout="scroll"
                                               [scrollable]="true" scrollHeight="345px" 
                                                [virtualRowHeight]="6" >
                                                <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่ทำหัถการ</th>
                                                    <th class="text-center" #pFrozenColumn>เวลา</th>
                                                    <th class="text-center">รหัสหัตถการ</th>
                                                    <th class="text-center">ชื่อหัตถการ</th>
                                                    <th class="text-center">ค่าบริการ</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่ทำหัถการ</span>
                                                        {{rows.date_serv | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">เวลา</span>
                                                        {{rows.time_serv}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">รหัสหัตถการ</span>
                                                        {{rows.procedure_code}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อหัตถการ</span>
                                                        {{rows.procedure_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ค่าบริการ</span>
                                                        {{rows.serviceprice}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>

                            <p-tabPanel header="ผล LAB" leftIcon="pi pi-desktop">
                                <div class="field col-12 md:col-12">
                                    <br>
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="lab" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่ทำแล็บ</th>
                                                    <th class="text-center" #pFrozenColumn>เวลา</th>
                                                    <th class="text-center">กลุ่มแล็บ</th>
                                                    <th class="text-center">รายการ</th>
                                                    <th class="text-center">ผลแล็บ</th>
                                                    <th class="text-center">ค่าปกติ</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่ทำแล็บ</span>
                                                        {{rows.date_serv | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">เวลา</span>
                                                        {{rows.time_serv}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">กลุ่มแล็บ</span>
                                                        {{rows.labgroup}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">รายการ</span>
                                                        {{rows.lab_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ผลแล็บ</span>
                                                        {{rows.lab_result}} {{rows.unit}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ค่าปกติ</span>
                                                        {{rows.standard_result}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>

                            <p-tabPanel header="ยา" leftIcon="pi pi-briefcase">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="drug" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่จ่ายยา</th>
                                                    <th class="text-center" #pFrozenColumn>เวลา</th>
                                                    <th class="text-center">ชื่อยา</th>
                                                    <th class="text-center">จำนวน</th>
                                                    <th class="text-center">หน่วยนับ</th>
                                                    <th class="text-center">วิธีใช้</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่จ่ายยา</span>
                                                        {{rows.date_serv | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">เวลา</span>
                                                        {{rows.time_serv | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อยา</span>
                                                        {{rows.drug_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">จำนวน</span>
                                                        {{rows.qty}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">หน่วยนับ</span>
                                                        {{rows.unit}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วิธีใช้</span>
                                                        {{rows.usage_line1}}<br>
                                                        {{rows.usage_line2}}<br>
                                                        {{rows.usage_line3}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>
                            <p-tabPanel header="ยาเดิม" leftIcon="pi pi-briefcase">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="medrecconcile" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>ชื่อสถานบริการที่ได้รับยา</th>
                                                    <th class="text-center" #pFrozenColumn>ชื่อยา</th>
                                                    <th class="text-center">ขนาดและวิธีใช้ยา</th>
                                                    <th class="text-center">วันที่ได้รับยาครั้งสุดท้าย</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อสถานบริการที่ได้รับยา</span>
                                                        {{rows.drug_hospname}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อยา</span>
                                                        {{rows.drug_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ขนาดและวิธีใช้ยา</span>
                                                        {{rows.drug_use}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่ได้รับยาครั้งสุดท้าย</span>
                                                        {{rows.drug_receive_date | thaidate:'short'}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>
                            <p-tabPanel header="แพ้ยา" leftIcon="pi pi-ban">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="allergy" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่มีอาการ</th>
                                                    <th class="text-center" #pFrozenColumn>วันที่รายงาน</th>
                                                    <th class="text-center">ยาที่แพ้</th>
                                                    <th class="text-center">อาการที่แพ้</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่มีอาการ</span>
                                                        {{rows.begin_date | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่รายงาน</span>
                                                        {{rows.daterecord | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ยาที่แพ้</span>
                                                        {{rows.drug_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">อาการที่แพ้</span>
                                                        {{rows.symptom}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>
                            <p-tabPanel header="X-Ray" leftIcon="pi pi-camera">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="xray" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่สั่ง</th>
                                                    <th class="text-center" #pFrozenColumn>รายการ</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่สั่ง</span>
                                                        {{rows.xray_date | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">รายการ</span>
                                                        {{rows.xray_name}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>
                            <!-- <p-tabPanel header="วัคซีน Covid-19" leftIcon="pi pi-history">
                                <div class="field col-12 md:col-12">
                                    <br />
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="itemeCovidVaccine" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="345px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center">เข็มที่</th>
                                                    <th class="text-center" #pFrozenColumn>ชื่อหน่วยให้บริการ</th>
                                                    <th class="text-center" #pFrozenColumn>วันที่/เวลา ได้รับวัคซีน</th>
                                                    <th class="text-center">ชื่อ Vaccine</th>
                                                    <th class="text-center">lot number</th>
                                                    <th class="text-center">serial no</th>
                                                    
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">เข็มที่</span>
                                                        {{rows.vaccine_plan_no}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อหน่วยให้บริการ</span>
                                                        {{rows.hospital_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">วันที่/เวลา ได้รับวัคซีน</span>
                                                        {{rows.immunization_datetime | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ชื่อ Vaccine</span>
                                                        {{rows.vaccine_name}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">lot number</span>
                                                        {{rows.lot_number}}
                                                    </td> <td #pFrozenColumn>
                                                        <span class="p-column-title">serial no</span>
                                                        {{rows.serial_no}}
                                                    </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="6">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel> -->
                            <p-tabPanel header="เอกสารแนบ" leftIcon="pi pi-upload"> 
                                <div class="field col-12 md:col-12">
                                    
                                    <div class="col">
                                        <div class="flex justify-content-end flex-wrap card-container green-container">
                                            <div class="flex align-items-center justify-content-center mb-2 mt-1">
                                                <span class="input-icon-left">
                                                    <button pButton type="button" class="p-button-primary" (click)="uploadsRoute()"><i class="pi pi-paperclip"></i>&nbsp;แนบเอกสาร</button>
                                                </span>
                                            </div>                    
                                        </div>                   
                                    </div>
                                    <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4">
                                        <p-table #dtCreate [value]="itemeAttachment" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
                                        [rowHover]="true" 
                                        responsiveLayout="scroll"
                                        [scrollable]="true" scrollHeight="315px"
                                        [virtualRowHeight]="6" >
                                            <ng-template pTemplate="headergrouped">
                                                <tr>
                                                    <th class="text-center" #pFrozenColumn>วันที่</th>
                                                    <th class="text-center" #pFrozenColumn>ประเภทเอกสาร</th>
                                                    <th class="text-center" #pFrozenColumn>ดาวน์โหลดเอกสาร</th>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="body" let-rows>
                                                <tr class="p-selectable-row">
                                                    <td class="text-center justify-content-center pt-2 pb-2" #pFrozenColumn>
                                                        <span class="p-column-title">วันที่</span>
                                                        {{rows.created_date | thaidate:'short'}}
                                                    </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ประเภทเอกสาร</span>
                                                        <span *ngIf="rows.description==null">{{rows.att_type}}</span>
                                                        <span *ngIf="rows.description!=null">{{rows.description}}</span>
                                                                                </td>
                                                    <td #pFrozenColumn>
                                                        <span class="p-column-title">ดาวน์โหลดเอกสาร</span>
                                                        <span class="p-inputgroup-addon" pTooltip="ดาวน์โหลด"
                                                        (click)="downloadAttRoute(rows.att_path)"><i class="fas fa-download"
                                                            style="line-height: 1.25;color:green"></i></span>
                                                                            </td>
                                                </tr>
                                            </ng-template>
                                            <ng-template pTemplate="emptymessage">
                                                <tr>
                                                    <td colspan="16">ไม่พบรายการ..</td>
                                                </tr>
                                            </ng-template>
                                        </p-table>
                                    </div>
                                </div>
                            </p-tabPanel>

                        </p-tabView>
                    </div>
                </div>

            </p-accordionTab>
        </p-accordion>
    <!-- </div> -->
<!-- </div> -->